<h1 id="kipoi_veff.MutationMapPlotter">MutationMapPlotter</h1>

```python
MutationMapPlotter(self, mutation_map=None, fname=None)
```
Generate a mutation map plot

__Arguments__

- __mutation_map__: mutation map object
- __fname__: alternatively, specify path to the mutation map

<h2 id="kipoi_veff.MutationMapPlotter.save_to_file">save_to_file</h2>

```python
MutationMapPlotter.save_to_file(self, fname)
```
Save object to an hdf5 file

__Arguments__

- __fname__: file path

<h2 id="kipoi_veff.MutationMapPlotter.plot_mutmap">plot_mutmap</h2>

```python
MutationMapPlotter.plot_mutmap(self, input_entry, model_seq_input, scoring_key, model_output, ax=None, show_letter_scale=False, cmap=None, limit_region=None, limit_region_genomic=None, annotation_vcf=None, annotation_variants=None, ignore_stored_var_annotation=False, rc_plot=False, minimum_letter_height=None, cbar=True, var_box_color='black', show_var_id=True, grad_inp_style_lh=False)
```
Generate a mutation map plot


__Arguments__

- __input_entry__: index of the region generated by the dataloader. (Integer)
- __model_seq_input__: Model input sequence key as defined in model.yaml. e.g. `seq`
- __scoring_key__: Key given for the scoring method. E.g.: `diff`
- __model_output__: Model output name for which the mutation map should be plotted
- __ax__: matplotlib axis object
- __show_letter_scale__: Display letter scale for seqlogo
- __cmap__: Colourmap for the heatmap
- __limit_region__: Limit the plotted region: Tuple of (x_start, x_end) where both x_* are integer in [0,sequence_length)
- __limit_region_genomic__: Like limit_region but a tuple of genomic positions. Values outside the queried
        regions are ignored. Region definition has to 0-based!
- __annotation_vcf__: VCF used for additional variant annotation in the plot. Only SNVs will be used.
- __annotation_variants__: dictionary with key: `chr`, `pos`, `id`, `ref`, `alt` and values are lists of strings,
        except for `pos` which is a list of integers of 1-based variant positions.
- __ignore_stored_var_annotation__: Ignore annotations that have been stored with the mutation map on generation.
- __rc_plot__: Reverse-complement plotting
- __minimum_letter_height__: Require a minimum height of the reference base. proportion of maximum letter height.
        e.g. 0.2

